## org.apache.batik.ext.awt.image.rendered
Class TileCacheRed

    java.lang.Object
      org.apache.batik.ext.awt.image.rendered.AbstractRed
          org.apache.batik.ext.awt.image.rendered.AbstractTiledRed
              org.apache.batik.ext.awt.image.rendered.TileCacheRed

All Implemented Interfaces:
  CachableRed, java.awt.image.RenderedImage, TileGenerator

public class TileCacheRed
extends AbstractTiledRed

This implementation of RenderedImage only serves to put the tiles generated by it's input into the TileCache.

Field Summary

Fields inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`bounds, cm, minTileX, minTileY, numXTiles, numYTiles, props, sm, srcs, tileGridXOff, tileGridYOff, tileHeight, tileWidth`

Constructor Summary
`TileCacheRed(CachableRed cr)` Place the results of computations of cr into the global tile cache.
`TileCacheRed(CachableRed cr, int tileWidth, int tileHeight)` Place the results of computations of cr into the global tile cache.

Method Summary
`void` `flushCache(java.awt.Rectangle rect)`
`void` `genRect(java.awt.image.WritableRaster wr)`

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractTiledRed
`copyData, copyToRaster, copyToRasterByBlocks, createTileStore, drawBlock, drawBlockAndCopy, drawBlockInPlace, genTile, getData, getDefaultTileSize, getTile, getTileStore, init, init, init, setTile, setTileStore`

Methods inherited from class org.apache.batik.ext.awt.image.rendered.AbstractRed
`copyBand, getBounds, getColorModel, getData, getDependencyRegion, getDirtyRegion, getHeight, getMinTileX, getMinTileY, getMinX, getMinY, getNumXTiles, getNumYTiles, getProperty, getPropertyNames, getSampleModel, getSources, getTileGridXOffset, getTileGridYOffset, getTileHeight, getTileWidth, getWidth, getXTile, getYTile, makeTile, updateTileGridInfo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TileCacheRed

    public TileCacheRed(CachableRed cr)

  Place the results of computations of cr into the global tile cache.

Parameters:
  `cr` - The operation to cache results from.

### TileCacheRed

    public TileCacheRed(CachableRed cr,
                        int tileWidth,
                        int tileHeight)

  Place the results of computations of cr into the global tile cache.

Parameters:
  `cr` - The operation to cache results from.

Method Detail

### genRect

    public void genRect(java.awt.image.WritableRaster wr)

  Specified by:
    `genRect` in class `AbstractTiledRed`

### flushCache

    public void flushCache(java.awt.Rectangle rect)

Copyright © 2004 Apache Software Foundation. All Rights Reserved.